// Pour lancer dans Scilab: 
// exec('neumann.sce');

clear;

//stacksize(100000000);

// lecture du maillage et affichage
// ---------------------------------
nomMaillageNode = 'geomCarre.node';
nomMaillageElement = 'geomCarre.element';

// pour charger les autres fichiers:
exec('lecture_maillage.sce');
exec('visu_maillage.sce');
exec('matK_elem.sce');
exec('matM_elem.sce');
exec('second_membre.sce');
exec('affichage.sce');

[Nbpt,Nbtri,Coorneu,Numtri]=lecture_msh(nomMaillageNode,nomMaillageElement);
num_figure = 0;
visu(num_figure,Numtri,Coorneu);
num_figure = num_figure + 1;

// ----------------------
// calcul des matrices EF
// ----------------------

// declarations
// ------------
KK = zeros(Nbpt,Nbpt); // matrice de raideur
MM = zeros(Nbpt,Nbpt); // matrice de masse
LL = zeros(Nbpt,1);     // vecteur second membre

// boucle sur les triangles
// ------------------------
for l=1:Nbtri

  // Coordonnees des sommets du triangles
  // A COMPLETER
  S1=[0,0];
  S2=[1,0];
  S3=[0,1];

  // calcul des matrices elementaires du triangle l 
  Kel=matK_elem(S1,S2,S3);
  Mel=matM_elem(S1,S2,S3);
    
  // On fait l'assemmblage de la matrice globale et du second membre
  // A COMPLETER

end // for l

// Calcul du second membre L
// -------------------------
// A COMPLETER
// utiliser le fichier second_membre.sce
//FF = frhs(...);
//LL = ...;

// inversion
// ----------
//
// UU = (MM+KK)\LL;
//
// ne pas modifier les lignes qui suivent
// on construit une matrice sparse a partir de la matrice de raideur
Matt = MM+KK;
smat = sparse(Matt); // ceci n'altere pas la matrice Matt
// factorisation de Cholesky 
UU = lusolve(smat,LL); 

// visualisation
// -------------
affiche(num_figure,UU,Numtri,Coorneu);
num_figure = num_figure + 1;

// attention a la compatibilite entre la formule de la sol exacte et celle de f
for i=1:Nbpt
  UU_exact(i) = cos(%pi*Coorneu(i,1))*cos(2*%pi*Coorneu(i,2));
end
affiche(num_figure,UU_exact,Numtri,Coorneu);
num_figure = num_figure + 1;

// Calcul de l erreur L2
// A COMPLETER
// Calcul de l erreur H1
// A COMPLETER
